package paketFeiertage;

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.JTextField;
import java.awt.List;
import java.awt.Button;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class Hauptfenster extends JFrame
{
	private Feiertage meineFeiertage;

	private JPanel contentPane;
	private JTextField tfDatum;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args)
	{
		EventQueue.invokeLater(new Runnable()
		{
			public void run()
			{
				try
				{
					Hauptfenster frame = new Hauptfenster();
					frame.setVisible(true);
				}
				catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Hauptfenster()
	{
		getContentPane().setLayout(null);
		setTitle("Feiertagsrechner");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 665, 552);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JLabel lblBitteGebenSie = new JLabel("Bitte geben Sie die Jahreszeahl ein");
		lblBitteGebenSie.setBounds(51, 35, 204, 14);
		contentPane.add(lblBitteGebenSie);
		
		tfDatum = new JTextField();
		tfDatum.setBounds(84, 56, 86, 20);
		contentPane.add(tfDatum);
		tfDatum.setColumns(10);
		
		List lfListe = new List();
		lfListe.setBounds(305, 35, 334, 468);
		contentPane.add(lfListe);
		
		Button btBerechnen = new Button("Berechnen");
		btBerechnen.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
			meineFeiertage = new Feiertage();
			meineFeiertage.setJahreszahl(tfDatum.getText());
			meineFeiertage.feiertageberechnen();
			lfListe.removeAll();
			for (int zaehler = 0; zaehler < meineFeiertage.getAnzahlFeiertage() + 2; zaehler++)
					{
				lfListe.add(meineFeiertage.getFeiertag(zaehler));
					}
			
			}
		});
		btBerechnen.setBounds(51, 102, 173, 36);
		contentPane.add(btBerechnen);
		
		Button btEnde = new Button("Beenden");
		btEnde.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				System.exit(0);
			}
		});
		btEnde.setBounds(51, 464, 173, 39);
		contentPane.add(btEnde);
	}
}
